Subject: RFC 2328 Section 16.5 - Incremental SPF Calculation Question

From: Acee Lindem <[email-masked]>
Date: Tue, 14 Oct 2003 17:45:25 -0400

Hi Arun,

I lost track of this due to the lack of a subject - hence, a belated
response. A summary path from the transit area may update a
route to a destination which is reachable via the backbone. If this
cost is larger than it was previously and the updated route is an
intra-area route, the backbone dijkstra calculation must be run to
assure this is still the best path. Make sense? Note that there are
a multitude of incremental optimizations which may provide the same
results as 16.5.

Thanks,
Acee

arunsy wrote:
> Hi all,
> Would someone be able to explain the following clause in RFC 2328
> section 16.5 (Incremental Updates -- Summary LSAs) Case 2 (Area A
> is a transit area and the router is an ABR).
>
> Case 2: Area A is a transit area and the router is an area
>            border router.
>            In this case, the following calculations must be
> performed.
>            First, if N's routing table entry presently contains one
> or
>            more inter-area paths that utilize the transit area Area
> A,
>            these paths should be removed. If this removes all paths
>            from the routing table entry, the entry should be
>            invalidated.  The entry's old values should be saved for
>            later comparisons. Next the calculation in Section 16.3
> must
>            be run again for the single destination N. If the results
> of
>            this calculation have caused the cost to N to increase,
> the
>            complete routing table calculation must be rerun starting
>            with the Dijkstra algorithm specified in Section 16.1.
>            Otherwise, if the cost/path to an AS boundary router (as
>            would be the case for a Type 4 summary-LSA) or to any
>            forwarding addresses has changed, all AS-external-LSAs
> will
>             have to be reexamined by rerunning the calculation
> in
>            Section 16.4.  Otherwise, if N is now newly unreachable,
> the
>            calculation in Section 16.4 must be rerun for the single
>            destination N, in case an alternate external route to N
>            exists.
>
> Why complete routing table calculation need to be rerun  if the
> calculated new route has the higher cost than that of older one.
> And how this behaviour is different from case 1?
>
> And one more thing, how a router (ABR) knows whether the path of
> the route is utilizing the transit area, since all the inter-area
> routes in ABR are always associated with the Back Bone (even after
> step 16.3).
>
> Thanks and Regards,
> ARun SY.
>

--
Acee